Subject: Re: bug#35495: 27.0.50; Untarring an archive with a keyring.gpg inside

From: Stefan Monnier <[email-masked]>
Date: Fri, 22 Apr 2022 09:40:25 -0400

Lars Ingebrigtsen [2022-04-22 15:13:20] wrote:
> Stefan Monnier <[email-masked]> writes:
>> When untarring a file whose contents include a GPG keyring named with
>> a `.gpg` extension, `tar-untar-buffer` ends up trying to encrypt the
>> keyring because the `write-region` call for this file gets handed to
>> `epa-file-write-region`.
>
> I'm unable to reproduce this on the current trunk -- but I can't
> reproduce it in Emacs 26.3/27.1 either.

How have you tried to reproduce it?

I did:

    emacs -Q .../test.tgz
    M-x tar-untar-buffer RET

and it prompted me (in a new *Keys* buffer) to choose a key to encrypt
some file.

        Stefan